﻿import es
import esamlib
import langlib
import popuplib

lang_dir = "cstrike/addons/eventscripts/soccer_mod_2010/language/"

text = langlib.Strings(lang_dir + "info/popup_info_version.ini")

# ******************** Load ********************
def load():
	create_popup()

# ******************** Events ********************
def es_map_start(event_var):
	popuplib.delete("sm_popup_info_version")
	create_popup()

# ******************** Create popup ********************
def create_popup():
	common = langlib.Strings(lang_dir + "popup_common.ini")

	popup = popuplib.create("sm_popup_info_version")

	popup.addline("SOCCER MOD %s" % (text("title")))
	popup.addline(" ")
	popup.addline("%s: %s" % (text("current"), es.ServerVar("soccer_mod_2010_version")))
	popup.addline("%s: %s" % (text("latest"), text("error")))
	popup.addline(" ")
	popup.addline(text("info"))
	popup.addline("- http://addons.eventscripts.com/addons/view/soccer_mod_2010")
	popup.addline("- http://www.fcdordrechtclan.com")
	popup.addline(" ")
	popup.addline("->1. %s" % (text("view")))
	popup.addline("->2. %s" % (text("history")))
	popup.addline(" ")
	popup.addline("->9. %s" % (common("back")))
	popup.addline(" ")
	popup.addline("0. %s" % (common("close")))

	for i in range(1, 3):
		popup.select(i, view_website)

	for i in range(3, 9):
		popup.submenu(i, "sm_popup_info_version")

	popup.submenu(9, "sm_popup_info")

	css = esamlib.getAddon("soccer_mod_2010")
	popup.modline(4, "%s: %s" % (text("latest"), css.currentversion))

# ******************** Popup choice ********************
def view_website(userid, choice, popupname):
	if choice == 1:
		cmd = 'usermsg motd %s 2 "Soccer Mod 2010" "http://addons.eventscripts.com/addons/view/soccer_mod_2010"' % (userid)
	elif choice == 2:
		cmd = 'usermsg motd %s 2 "Soccer Mod 2010 %s" "http://addons.eventscripts.com/addons/history/18591"' % (userid, text("history_title"))

	es.server.queuecmd(cmd)

	popuplib.send(popupname, userid)

# ******************** Unload ********************
def unload():
	popuplib.delete("sm_popup_info_version")